Connect a social provider
POST
/auth/v1/providers/connectConnects a social provider to the authenticated user's account using the supplied provider token.
Authorization
Bearer Authorization<token>
In: header
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_auth.connectProviderBody",
"$ref-value": {
"properties": {
"provider": {
"enum": [
"google",
"apple",
"microsoft",
"tgAuthResult"
],
"type": "string"
},
"token": {
"type": "string"
}
},
"required": [
"provider",
"token"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.TokenResponse",
"$ref-value": {
"properties": {
"access_token": {
"type": "string"
},
"expires_in": {
"type": "integer"
},
"refresh_token": {
"type": "string"
},
"requires_action": {
"type": "string"
},
"token_type": {
"type": "string"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/auth/v1/providers/connect" \
-H "Content-Type: application/json" \
-d '{
"provider": "google",
"token": "string"
}'OK
application/json
{
"$ref": "#/components/schemas/authv1.TokenResponse",
"$ref-value": {
"properties": {
"access_token": {
"type": "string"
},
"expires_in": {
"type": "integer"
},
"refresh_token": {
"type": "string"
},
"requires_action": {
"type": "string"
},
"token_type": {
"type": "string"
}
},
"type": "object"
}
}